Skip to main content
`Ctrl`+`K`

# DSCond

Compute the condition number.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSCond(DS ds,PetscReal *cond)

Logically Collective

## Input Parameters

- ds - the direct solver context

- cond - the computed condition number

## Notes

In standard eigenvalue problems, returns the \(\infty\)-norm condition number of the first matrix, computed as \(\kappa_\infty(A) = \|A\|_\infty\|A^{-1}\|_\infty\).

In GSVD problems, returns the maximum of \(\kappa_2(A)\) and \(\kappa_2(B)\), where \(\kappa_2(\cdot)\) is computed as the ratio of the largest and smallest singular values.

Does not take into account the extra row.

## See Also

DS: Direct Solver (or Dense System), `DSSolve()`, `DSSetExtraRow()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsops.c

## Implementations

DSCond_GSVD() in src/sys/classes/ds/impls/gsvd/dsgsvd.c
DSCond_HEP() in src/sys/classes/ds/impls/hep/dshep.c
DSCond_NHEP() in src/sys/classes/ds/impls/nhep/dsnhep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages